summaryrefslogtreecommitdiffstats
path: root/games/4digits
diff options
context:
space:
mode:
author CCHsu <a12321aabb@gmail.com>2017-06-27 03:07:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-06-28 08:32:33 +0700
commitdf36cc21a7157f98f7966a82adea117936036b0d (patch)
tree322e1e28893bfb5c17f9decebce2fbf2791ee8b8 /games/4digits
parent8d9545389f1a5b5b423a64551da935b72c50b00d (diff)
downloadslackbuilds-df36cc21a7157f98f7966a82adea117936036b0d.tar.gz
slackbuilds-df36cc21a7157f98f7966a82adea117936036b0d.tar.xz
games/4digits: Added (A Guess-the-number Puzzle Game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/4digits')
-rw-r--r--games/4digits/4digits.SlackBuild117
-rw-r--r--games/4digits/4digits.info10
-rw-r--r--games/4digits/README3
-rw-r--r--games/4digits/doinst.sh3
-rw-r--r--games/4digits/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/games/4digits/4digits.SlackBuild b/games/4digits/4digits.SlackBuild
new file mode 100644
index 0000000000..81c6b88f32
--- /dev/null
+++ b/games/4digits/4digits.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for 4digits
+
+# Copyright 2017 CCHsu, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=4digits
+VERSION=${VERSION:-1.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/${PRGNAM}_${VERSION}.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make all -e INSTALL_DIR=$PKG/usr/share/locale
+
+mkdir -p $PKG/usr/bin
+cp -a \
+ $TMP/$PRGNAM-$VERSION/{$PRGNAM,$PRGNAM-text} \
+ $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a \
+ $TMP/$PRGNAM-$VERSION/$PRGNAM.glade \
+ $PKG/usr/share/$PRGNAM
+
+sed -e "s@^Icon=[[:graph:]]\+@Icon=${PRGNAM}_logo@g" \
+ -i $TMP/$PRGNAM-$VERSION/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/applications
+cp -a \
+ $TMP/$PRGNAM-$VERSION/$PRGNAM.desktop \
+ $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/share/icons/hicolor/{64x64,512x512}/apps
+cp -a \
+ $TMP/$PRGNAM-$VERSION/${PRGNAM}_logo.png \
+ $PKG/usr/share/icons/hicolor/64x64/apps
+cp -a \
+ $TMP/$PRGNAM-$VERSION/${PRGNAM}_logo_big.png \
+ $PKG/usr/share/icons/hicolor/512x512/apps
+
+mkdir -p $PKG/usr/man/man6
+cp -a \
+ $TMP/$PRGNAM-$VERSION/{$PRGNAM.6,$PRGNAM-text.6} \
+ $PKG/usr/man/man6
+gzip -f $PKG/usr/man/man6/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $TMP/$PRGNAM-$VERSION/{COPYING,doc,README} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/4digits/4digits.info b/games/4digits/4digits.info
new file mode 100644
index 0000000000..1b9c71eee8
--- /dev/null
+++ b/games/4digits/4digits.info
@@ -0,0 +1,10 @@
+PRGNAM="4digits"
+VERSION="1.1.4"
+HOMEPAGE="https://github.com/fossilet/4digits"
+DOWNLOAD="https://sourceforge.net/projects/fourdigits/files/4digits-1.1/4digits_1.1.4.tar.bz2"
+MD5SUM="da71d8a4148fd30cfd3d4d8eace88586"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="CCHsu"
+EMAIL="a12321aabb@gmail.com"
diff --git a/games/4digits/README b/games/4digits/README
new file mode 100644
index 0000000000..ce87c6da70
--- /dev/null
+++ b/games/4digits/README
@@ -0,0 +1,3 @@
+4digits is a guess-the-number puzzle game.
+It's also called Bulls and Cows, and in China people simply call it Guess-the-Number.
+The game's objective is to guess a four-digit number in 8 times.
diff --git a/games/4digits/doinst.sh b/games/4digits/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/4digits/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/4digits/slack-desc b/games/4digits/slack-desc
new file mode 100644
index 0000000000..2c37fbfc17
--- /dev/null
+++ b/games/4digits/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+4digits: 4digits (A Guess-the-number Puzzle Game)
+4digits:
+4digits: 4digits is a guess-the-number puzzle game. It's also called Bulls
+4digits: and Cows, and in China people simply call it Guess-the-Number.
+4digits: The game's objective is to guess a four-digit number in 8 times.
+4digits:
+4digits:
+4digits:
+4digits: Homepage: https://sourceforge.net/projects/fourdigits/
+4digits: https://github.com/fossilet/4digits
+4digits: